Subject: bug#19979: closed (Re: bug#19979: vlc install failed with backtrace)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 04 Mar 2015 09:29:02 +0000

Your bug report

#19979: vlc install failed with backtrace

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
19979: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=19979
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#19979: vlc install failed with backtrace
From: [email-masked] (Ludovic Courtès)
To: Axel <[email-masked]>
Cc: [email-masked]
Date: Wed, 04 Mar 2015 10:28:15 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

(Keeping [email-masked] Cc’d so we keep track of the bug.)

Axel <[email-masked]> skribis:

> Ludo, your guess right, I really was run `pull` under root and
> `package` under user account. Seems I badly understand yet rules of
> package management in Guix :| Well, since this report I was run `pull`
> and `system reconfigure` and now vlc installed ok. Thank you for
> reply!

Great, thanks for your feedback!

Closing this bug now.

Ludo’.

Subject: vlc install failed with backtrace
From: Axel <[email-masked]>
To: [email-masked]
Date: Mon, 2 Mar 2015 03:09:52 +0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I tried to install:

name: vlc
version: 2.1.5
dependencies: alsa-lib-1.0.27.1 avahi-0.6.31 dbus-1.8.12 ffmpeg-2.2.11
+ flac-1.3.0 fontconfig-2.10.93 freetype-2.4.11 git-2.2.1 gnutls-3.2.20
+ libcddb-1.3.0 libgcrypt-1.6.2 libkate-0.4.1 libmad-0.15.1b libogg-1.3.2
+ libpng-1.5.17 libsamplerate-0.1.8 libssh2-1.4.3 libtheora-1.1.1
libvorbis-1.3.4
+ libxext-1.3.3 libxinerama-1.1.3 libxml2-2.9.0 libxpm-3.5.11 lua-5.1.5
+ mesa-10.4.0 opus-1.1 perl-5.16.1 pkg-config-0.27.1 pulseaudio-5.0
+ python-wrapper-3.3.5 qt-4.8.6 sdl-1.2.15 sdl-image-1.2.12 speex-1.2rc1
+ xcb-util-keysyms-0.4.0
location: gnu/packages/video.scm:212:2

and guix crashed with trace:

Backtrace:
In guix/scripts/package.scm:
 814: 19 [process-actions (# # # # ...)]
In guix/monads.scm:
 427: 18 [run-with-store # ...]
In guix/profiles.scm:
 412: 17 [#<procedure 2c9bb10 at guix/profiles.scm:412:2 (store)> #]
In guix/gexp.scm:
 175: 16 [#<procedure 2c9b930 at guix/gexp.scm:175:2 (store)> #]
In guix/monads.scm:
 328: 15 [#<procedure 2c9b960 at guix/monads.scm:327:2 (store)> #]
 328: 14 [#<procedure 2c9b990 at guix/monads.scm:327:2 (store)> #]
In guix/gexp.scm:
 100: 13 [#<procedure 2c9ba20 at guix/gexp.scm:100:21 (store)> #]
In guix/packages.scm:
 612: 12 [cache # # #<procedure thunk ()>]
 861: 11 [thunk]
 793: 10 [bag->derivation # # #]
In srfi/srfi-1.scm:
 576: 9 [map #<procedure 2c9b750 at guix/packages.scm:795:30
(t-12567)> (# # # ...)]
In guix/packages.scm:
 654: 8 [expand-input # # # ...]
 612: 7 [cache # # #<procedure thunk ()>]
 861: 6 [thunk]
 793: 5 [bag->derivation # # #]
In srfi/srfi-1.scm:
 578: 4 [map #<procedure 2964c00 at guix/packages.scm:795:30
(t-12567)> (# # # ...)]
In guix/packages.scm:
 669: 3 [expand-input # # # ...]
 373: 2 [patch-and-repack # # # ...]
In srfi/srfi-1.scm:
 601: 1 [map #<procedure 29c9960 at guix/packages.scm:373:9 (number
patch)> (0) ...]
In guix/packages.scm:
 375: 0 [#<procedure 29c9960 at guix/packages.scm:373:9 (number patch)> 0 #f]

I just installed guixsd 0.8 and updated it with `guix pull`. Other
packages installed without problems.

-- 
axel